<bugID>1097247<Summary>Different Naming convention in Windows "Programs and Features"</Summary><Description>Created attachment 8520888
firefox.PNG

User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:34.0) Gecko/20100101 Firefox/34.0
Build ID: 20141110195804

Steps to reproduce:

In Windows 8.1 under Control Panel -&gt; Programs and Features different versions of Firefox use a different naming convention.

For v34 it's listed as "Mozilla Firefox 34.0 ....."
Whilst for the new developer edition Mozilla is dropped as a prefix and is shown as "Firefox Developer Edition 35.0......."

This isn't by an means a big issue, but might want to be tidied up to keep brand consistency.



Expected results:

"Firefox Developer Edition 35.0......." should be renamed to "Mozilla Firefox Developer Edition 35.0......"</Description></bugID>